\ifmacroinclude

\newcommand{\PRLinkDesc}{
The above link will bring you to a page explaining levels of severity, levels
of priorities, and explain the types of classes. The link at the bottom of the
page will bring you into the GNATS system where you will be able to submit and
query problem reports.
}

\else

\section{Reporting problems}

{\Project} uses GNATS for reporting and tracking problem reports. Each major
piece of code and each major task has a category. For example, errors that are
found in this documentation should be submitted under the category {}``doc{}''
since it represents a documentation error.


\subsection{Accessing GNATS via the Web}

\url{\ProjectProblemPage}

\PRLinkDesc

All users can submit problem and query reports. Only developers can modify
problem reports once they have been submitted.

\subsubsection{Submitting a new problem report.}

Once in the GNATS system, choose {}``create{}''. This brings up a form which
must be filled out.

{\par\centering \textbf{Does}\par}

\begin{itemize}
\item Specify an appropriate Category
\item Specify an appropriate Severity
\item Specify an appropriate Priority
\item Specify an appropriate Class
\item Leave submitter-id as {}``ldas{}''
\item Specify the release of the \Project software. Use the value of the <Date> of
the -D or the <Tag> of the -r option used when exporting the files. If the value
{}``now{}'' or {}``HEAD{}'' were used, please specify the date you performed
the export.
\item Give a complete description of the problem. More details that are give, the
better.
\item Give a description of how to repeat the observed problem.
\item If there is a known fix, please describe it.
\end{itemize}
{\par\centering \textbf{Don'ts}\par}

\begin{itemize}
\item Use the CC field. This has caused problems in the past.
\end{itemize}
Once the form has been completely filled out, go to the top or the bottom of
the page and select the {}``submit{}'' button. You will receive e-mail notifying
you of your submitted problem report and the id with which it is associate.
You will also receive e-mail whenever there is a change to the problem report.


\subsubsection{Checking the status of a problem report}

There are two ways of checking the status of a problem report. The first is
using the {}``View problem report{}'' option from the GNATs main page. If
you have the problem report id, just type in the number and select the {}``view{}''
button. A page with the full details of the problem report will appear.

The second method allows you to query the GNATS system for problem reports of
interest and has two flavors. The simplest is the {}``Query Problem Reports.{}''
Use this method by selecting the {}``query{}'' button. A web form page will
appear. Refine the search by using the drop down selectors and/or using the
text widgets. The query is executed after selecting the {}``submit{}'' button.
If you are interested in problem reports that are potentially closed, be sure
the {}``Ignore Closed{}'' button below the {}``State{}'' field is not selected.

For more advanced queries, select the {}``advanced query{}'' button. This
form allows you to search by time and date and by regular expressions. Again
if you are interested in problem reports that are potentially closed, be sure
the {}``Ignore Closed{}'' button in the {}``State{}'' field is not selected.

\fi